<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

$array_datos_cta = array_empresa_cta($id_cta, $bdDepen);
$nombre=$array_datos_cta['nombre'];
$nombre_plano = $array_datos_cta['nombre_plano'];
$id_fk_cliente_fact=$array_datos_cta['id_fk_cliente_fact'];

//Copiar id_cta
$sqlEMP="INSERT INTO cta (tipo_doc_emp, nit, nit_plano, digVeri, nombre, nombre_plano, adminis, tel_adminis, dire, tele, sueldomin, vr_afiliac, arp1, arp2, arp3, arp4, arp5, vr_eps, por_eps, pensiones, vr_caja, por_caja, emailcta, s_mensajeria, mora, cuenta, banco, fax, dian, act, iva, admon_proporcional, msg_recibos, arl_cta, ciudad_cta, dia_habil_cta, diferencia, vr_admon, resolucion, prefijo, presentacion, codigoSucursal, pie_recibos, comentario, comentario2, dominio, sub_dominio, usu_dominio, pass_dominio, carpeta, empresa, dia_completo, liq_nexos, sin_caja, sin_afp, sin_arl, tipo_recibos, fecha_creacion, activo, modo, id_fk_cliente_fact, departa, envioProgramado, mensaje_sms, tipo_men_sms, idcliente, creado_por, comentario_gestor, cta_factura, id_emp_fact_fk_cta, desc_factura, vr_factura, rec_egreso, cierre_mes_final) SELECT tipo_doc_emp, nit, nit_plano, digVeri, '$nombre_plano *******', '$nombre_plano *******', adminis, tel_adminis, dire, tele, sueldomin, vr_afiliac, arp1, arp2, arp3, arp4, arp5, vr_eps, por_eps, pensiones, vr_caja, por_caja, emailcta, s_mensajeria, mora, cuenta, banco, fax, dian, act, iva, admon_proporcional, msg_recibos, arl_cta, ciudad_cta, dia_habil_cta, diferencia, vr_admon, resolucion, prefijo, presentacion, codigoSucursal, pie_recibos, comentario, comentario2, dominio, sub_dominio, usu_dominio, pass_dominio, carpeta, empresa, dia_completo, liq_nexos, sin_caja, sin_afp, sin_arl, tipo_recibos, '$fecha_hoy', activo, modo, id_fk_cliente_fact, departa, envioProgramado, mensaje_sms, tipo_men_sms, idcliente, creado_por, comentario_gestor, cta_factura, id_emp_fact_fk_cta, desc_factura, vr_factura, rec_egreso, '1' FROM cta WHERE id_cta = $id_cta";
$inserEMP = $bdDepen->consulta("$sqlEMP");	

//Saco el máximo, osea el id guardado de esa empresa
$sqlCTA_MAX="SELECT MAX(id_cta) as id FROM `cta` WHERE id_fk_cliente_fact=$id_fk_cliente_fact";
$conCTA_MAX = $bdDepen -> consulta("$sqlCTA_MAX");	
$resCTA_MAX = $bdDepen -> fetch_assoc($conCTA_MAX);
$id = $resCTA_MAX['id'];

//Copiamos todos los usuarios y sus permisos
$sqlINUSCTA="INSERT INTO user_cta (id_cta_fk, id_user_fk, menu, tablero) SELECT $id, id_user_fk, menu, tablero FROM user_cta WHERE id_cta_fk = $id_cta"; 
$insINUSCTA = $bdDepen->consulta($sqlINUSCTA);	

//Periodo para cerrar mes
if($sis_mes==1):
    $mes_periodo=12;
    $ano_periodo=$sis_ano-1;
else:
    $mes_periodo=$sis_mes-1;
    $ano_periodo=$sis_ano;
endif;

$sqlNuevoMes = "INSERT INTO h_mes(id_registro,id_cta_fk_hm,tipo_registro,dia,mes,ano,mes_periodo,ano_periodo,act,us,automatico) values ('1','$id','','$sis_dia','$sis_mes','$sis_ano','$mes_periodo','$ano_periodo','1','0','1')";
$insNuevoMes = $bdDepen -> consulta($sqlNuevoMes);

?>

<form name="copiarPIN4" id="copiarPIN4">
    <input type="hidden" id="id_cta" name="id_cta" value="<?=$id?>">
</form>

<script type="text/javascript">
    alert('Se copió la información de la empresa <?=$nombre?>. PIN: <?=$id?>');
    ocultar('#','modal');
    guardar('dep_consul_empresa_pin1.php','copiarPIN4','divDer2','cargando');
</script>